WtpComponent (Gradle API 5.0)
Date: 2018-11-26

Package org.gradle.plugins.ide.eclipse.model

## Class WtpComponent

- java.lang.Object
- - org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject
  - - org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject
    - - org.gradle.plugins.ide.eclipse.model.WtpComponent

-     public class WtpComponent
      extends org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject

  Creates the .settings/org.eclipse.wst.common.component file for WTP projects.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WtpComponent​(org.gradle.internal.xml.XmlTransformer xmlTransformer)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `configure​(java.lang.String deployName, java.lang.String contextPath, java.util.List<WbModuleEntry> newEntries)` |
    `boolean` | `equals​(java.lang.Object o)` |
    `java.lang.String` | `getContextPath​()` |
    `protected java.lang.String` | `getDefaultResourceName​()` |
    `java.lang.String` | `getDeployName​()` |
    `java.util.List<WbModuleEntry>` | `getWbModuleEntries​()` |
    `int` | `hashCode​()` |
    `protected void` | `load​(groovy.util.Node xml)` |
    `void` | `setContextPath​(java.lang.String contextPath)` |
    `void` | `setDeployName​(java.lang.String deployName)` |
    `void` | `setWbModuleEntries​(java.util.List<WbModuleEntry> wbModuleEntries)` |
    `protected void` | `store​(groovy.util.Node xml)` |
    `java.lang.String` | `toString​()` |

    - ### Methods inherited from class org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject

      `load, loadDefaults, store`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from class org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject

      `findFirstChildNamed, findFirstChildWithAttributeValue, findFirstWithAttributeValue, findOrCreateFirstChildNamed, findOrCreateFirstChildWithAttributeValue, getChildren, getXml, load, store, transformAction, transformAction`

- - ### Constructor Detail

    - #### WtpComponent

          public WtpComponent​(org.gradle.internal.xml.XmlTransformer xmlTransformer)

  - ### Method Detail

    - #### getDefaultResourceName

          protected java.lang.String getDefaultResourceName​()

      Specified by:
        `getDefaultResourceName` in class `org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject`

    - #### getDeployName

          public java.lang.String getDeployName​()

    - #### setDeployName

          public void setDeployName​(java.lang.String deployName)

    - #### getContextPath

          public java.lang.String getContextPath​()

    - #### setContextPath

          public void setContextPath​(java.lang.String contextPath)

    - #### getWbModuleEntries

          public java.util.List<WbModuleEntry> getWbModuleEntries​()

    - #### setWbModuleEntries

          public void setWbModuleEntries​(java.util.List<WbModuleEntry> wbModuleEntries)

    - #### configure

          public void configure​(java.lang.String deployName,
                                java.lang.String contextPath,
                                java.util.List<WbModuleEntry> newEntries)

    - #### load

          protected void load​(groovy.util.Node xml)

      Overrides:
        `load` in class `org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject`

    - #### store

          protected void store​(groovy.util.Node xml)

      Overrides:
        `store` in class `org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject`

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode​()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString​()

      Overrides:
        `toString` in class `java.lang.Object`